---
lang: en
title: 'API docs: graphql.graphqlresolutioncontext._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.graphqlresolutioncontext._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [GraphQLResolutionContext](./graphql.graphqlresolutioncontext.md) &gt; [(constructor)](./graphql.graphqlresolutioncontext._constructor_.md)

## GraphQLResolutionContext.(constructor)

Constructs a new instance of the `GraphQLResolutionContext` class

**Signature:**

```typescript
constructor(parent: Context, resolverClass: Constructor<unknown>, resolverData: ResolverData<object>);
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

parent


</td><td>

[Context](./context.context.md)


</td><td>


</td></tr>
<tr><td>

resolverClass


</td><td>

[Constructor](./context.constructor.md)<!-- -->&lt;unknown&gt;


</td><td>


</td></tr>
<tr><td>

resolverData


</td><td>

ResolverData&lt;object&gt;


</td><td>


</td></tr>
</tbody></table>


